English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75516 CVE descriptions
and 39786 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.63618
Category:Ubuntu Local Security Checks
Title:Ubuntu USN-733-1 (evolution-data-server)
Summary:Ubuntu USN-733-1 (evolution-data-server)
Description:The remote host is missing an update to evolution-data-server
announced via advisory USN-733-1.

Details follow:

It was discovered that the Base64 encoding functions in
evolution-data-server did not properly handle large strings. If a user were
tricked into opening a specially crafted image file, or tricked into
connecting to a malicious server, an attacker could possibly execute
arbitrary code with user privileges.

Solution:
The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 6.06 LTS:
libcamel1.2-8 1.6.1-0ubuntu7.2
libebook1.2-5 1.6.1-0ubuntu7.2

Ubuntu 7.10:
libcamel1.2-10 1.12.1-0ubuntu2.1
libebook1.2-9 1.12.1-0ubuntu2.1

After a standard system upgrade you need to restart Evolution to effect
the necessary changes.

http://www.securityspace.com/smysecure/catid.html?in=USN-733-1
Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2009-0587
Bugtraq: 20090312 [oCERT-2008-015] glib and glib-predecessor heap overflows (Google Search)
http://www.securityfocus.com/archive/1/archive/1/501712/100/0/threaded
http://openwall.com/lists/oss-security/2009/03/12/2
http://ocert.org/patches/2008-015/camel-CVE-2009-0587.diff
http://ocert.org/patches/2008-015/evc-CVE-2009-0587.diff
http://www.ocert.org/advisories/ocert-2008-015.html
Debian Security Information: DSA-1813 (Google Search)
http://www.debian.org/security/2009/dsa-1813
http://www.mandriva.com/security/advisories?name=MDVSA-2009:078
http://www.redhat.com/support/errata/RHSA-2009-0354.html
http://www.redhat.com/support/errata/RHSA-2009-0355.html
http://www.redhat.com/support/errata/RHSA-2009-0358.html
SuSE Security Announcement: SUSE-SR:2010:012 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2010-05/msg00002.html
http://www.ubuntu.com/usn/USN-733-1
BugTraq ID: 34100
http://www.securityfocus.com/bid/34100
http://osvdb.org/52702
http://osvdb.org/52703
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:11385
http://secunia.com/advisories/34338
http://secunia.com/advisories/34339
http://secunia.com/advisories/34348
http://secunia.com/advisories/34351
http://secunia.com/advisories/35357
Common Vulnerability Exposure (CVE) ID: CVE-2008-4316
Bugtraq: 20090312 rPSA-2009-0045-1 glib (Google Search)
http://www.securityfocus.com/archive/1/archive/1/501766/100/0/threaded
http://www.openwall.com/lists/oss-security/2009/03/16/2
http://lists.vmware.com/pipermail/security-announce/2010/000082.html
http://ocert.org/patches/2008-015/glib-CVE-2008-4316.diff
Debian Security Information: DSA-1747 (Google Search)
http://www.debian.org/security/2009/dsa-1747
https://www.redhat.com/archives/fedora-package-announce/2009-March/msg01113.html
http://www.redhat.com/archives/fedora-package-announce/2009-April/msg00744.html
http://www.mandriva.com/security/advisories?name=MDVSA-2009:080
http://www.redhat.com/support/errata/RHSA-2009-0336.html
SuSE Security Announcement: SUSE-SA:2009:026 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00014.html
http://www.ubuntu.com/usn/usn-738-1
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:11401
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:8360
http://www.securitytracker.com/id?1021884
http://secunia.com/advisories/34267
http://secunia.com/advisories/34317
http://secunia.com/advisories/34404
http://secunia.com/advisories/34416
http://secunia.com/advisories/34560
http://secunia.com/advisories/34854
http://secunia.com/advisories/34890
http://secunia.com/advisories/38794
http://secunia.com/advisories/38833
http://www.vupen.com/english/advisories/2010/0528
XForce ISS Database: glib-gbase64-bo(49272)
http://xforce.iss.net/xforce/xfdb/49272
CopyrightCopyright (c) 2009 E-Soft Inc. http://www.securityspace.com

This is only one of 39786 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.